function [ K0, d0 ] = report_wo_outliers( z, d, threshold )
% z: int n x 1
% d: int K x 1

    K0 = 0;    
    d0 = 0;
    n = size(z, 1);
    K = max(z);
    
    for k = 1:K
        count = sum(z == k * ones(n, 1));
        if (count >= n * threshold)
            K0 = K0 + 1;
            d0 = d0 + d(k);
        end
    end
    
    d0 = d0 / K0;

end

