% batch running for gpca on Hopkins 155

sumTime = 0;

T = 117;
f = fopen('Hopkins155\\all_twomotion.txt', 'r');
for i = 1:T
    s = fgetl(f);
    dirs{i} = s;
end
fclose(f);

r = 8;

for t = 1:T
   
    name = dirs{t};
    fprintf('Processing case %s\n', name);
    
    % read and preprocess the data
    load(['Hopkins155\\' name '\\' name '_truth.mat']);
    [x0, y0] = preprocess_hopkins(x, r, s);
    
    tt = cputime;
    [group, c, Dpn, Ln] = gpca_pda_spectralcluster(x0', 2);
    sumTime = sumTime + cputime - tt;
    
end

T = 34;
f = fopen('Hopkins155\\all_threemotion.txt', 'r');
for i = 1:T
    s = fgetl(f);
    dirs{i} = s;
end
fclose(f);

r = 12;

for t = 1:T
   
    name = dirs{t};
    fprintf('Processing case %s\n', name);
    
    % read and preprocess the data
    load(['Hopkins155\\' name '\\' name '_truth.mat']);
    [x0, y0] = preprocess_hopkins(x, r, s);
    
    tt = cputime;
    [group, c, Dpn, Ln] = gpca_pda_spectralcluster(x0', 3);
    sumTime = sumTime + cputime - tt;
    
end